Bug 150165 - installation depends on devlabel
installation depends on devlabel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: diskdumputils (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Akira Imamura
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-03 01:23 EST by Leighton Brown
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.0.1-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-13 16:01:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leighton Brown 2005-03-03 01:23:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
Installation produces the following error:
[root@server1 rpms]# rpm -Uvh --test diskdumputils-1.0.1-2.i386.rpm
error: Failed dependencies:
        devlabel is needed by diskdumputils-1.0.1-2.i386

According to the FC3 release notes devlabel is deprecated. Further, there is no devlabel package in FC3.

Version-Release number of selected component (if applicable):
diskdumputils-1.0.1-2.i386

How reproducible:
Always

Steps to Reproduce:
1.upgrade diskdumputils on a FC3 system with latest rpm
2.
3.
    

Additional info:
Comment 1 Jef Spaleta 2005-03-03 21:54:24 EST
This looks to me like an old specfile change got applied to the
development version of diskdumputils.

The requires on devlabel is explicitly defined in the specfile.
devlabel is not available in the development tree nor was it available
in fc3.  devlabel was removed from the development tree on 20040928
according to the buildsystem build report messages to fedora-devel-list.

-jef
Comment 2 Akira Imamura 2005-03-10 18:16:53 EST
Thanks everyone for reporting.
I've verified this problem and then fixed as diskdumputils-1.0.1-6. I 
deleted devlabel from specfile.

Akira

Note You need to log in before you can comment on or make changes to this bug.